<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>스마트팩토리과제관리시스템</title>

    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" />

    <!-- Wijmo styles -->
    <link href="../assets/plugin/wijmo/wijmo.min.css" rel="stylesheet"/>
    
    <!-- css -->
    <link rel="stylesheet" href="../assets/css/jquery-ui.min.css" />
    <link rel="stylesheet" href="../assets/css/common.css" />
    <link rel="stylesheet" href="../assets/css/style.css" />    
</head>

<body>
    <header class="sf-header" id="header">
        <div class="top-logo">
            <a href="#" class="btn-open-all-menu" id="btnClick">
                <img src="../assets/img/all-menu.svg" alt="">
            </a>

            <div id="popClick" class="popover">
                <div class="popover-content">
                    화면 내 좌측 메뉴가 있을 경우에만 폴딩 기능이 실행됩니다.
                </div>
            </div>
    
            <a href="#" class="logo">
                <span class="abb">SFPM</span>
                <span class="full">
                    <span class="ko">스마트팩토리과제관리시스템</span>
                    <span class="en">Smart Factory Project Management system</span>
                </span>
            </a>
        </div>
        <div class="top-gnb">
            <nav class="top-main-nav">
                <ul class="depth1">
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">스마트팩토리란?</a>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">스마트팩토리 레벨</a>
                        <ul class="depth2-list">
                            <li>
                                <a href="#">스마트팩토리 레벨 정의</a>
                            </li>
                            <li>
                                <a href="#">법인별 레벨 현황</a>
                            </li>
                            <li>
                                <a href="#">레벨 평가</a>
                            </li>
                        </ul>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">핵심 Agenda</a>
                        <ul class="depth2-list">
                            <li>
                                <a href="#">핵심 Agenda 요약</a>
                            </li>
                            <li>
                                <a href="#">핵심 Agenda 정의</a>
                            </li>
                            <li>
                                <a href="#">핵심 Agenda 과제관리</a>
                            </li>
                            <li>
                                <a href="#">핵심 Agenda 진행현황</a>
                            </li>
                        </ul>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link on">커뮤니티</a>
                        <ul class="depth2-list">
                            <li class="on">
                                <a href="#">Painpoint</a>
                            </li>
                            <li>
                                <a href="#">스마트팩토리 일정</a>
                            </li>
                            <li>
                                <a href="#">자료실</a>
                            </li>
                        </ul>
                    </li>
                    <li class="depth1-list">
                        <a href="#" class="depth1-link">관리자</a>
                        <ul class="depth2-list">
                            <li>
                                <a href="#">공통 코드 관리</a>
                            </li>
                            <li>
                                <a href="#">권한 관리</a>
                            </li>
                            <li>
                                <a href="#">메뉴 관리</a>
                            </li>
                            <li>
                                <a href="#">메뉴 관리</a>
                            </li>
                            <li>
                                <a href="#">메세지 관리</a>
                            </li>
                            <li>
                                <a href="#">결제 관리</a>
                            </li>
                        </ul>
                    </li>
                </ul>
            </nav>
        </div>
        <ul class="nav-right">
            <li>
                <button>
                    <i class="icon icon-favorites"></i>
                </button>
            </li>
            <li>
                <button>
                    <i class="icon icon-help"></i>
                </button>
            </li>
            <li>
                <span class="btn-toggle-wrap">
                    <input type="checkbox" id="toggle" hidden> 
                    <label for="toggle" class="switch-toggle">
                        <span class="btn-toggle"></span>
                    </label>
                </span>
            </li>
            <li>
                <a href="#" class="language">ENG <img src="../assets/img/arr-lang.svg" alt=""></a>
            </li>
            <li>
                <a href="#" class="avatar">
                    <span class="round">
                        <!-- <img src="../assets/img/ico-user.png" alt=""> 프로필 이미지 -->
                    </span>
                    홍길동
                </a>
            </li>
        </ul>
    </header>
    
    <div class="sf-container" id="contents">
        <div class="sf-content-wrap">
            <div id="section-mdi">
                <ul class="mdi-tabs">
                    <li>
                        <a href="#">
                            <span>홈</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                    <li class="on">
                        <a href="#">
                            <span>Painpoint</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span>탭아이템</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span>탭아이템</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span>탭아이템</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span>탭아이템</span>
                            <i class="icon icon-close-mdi"></i>
                        </a>
                    </li>
                </ul>
                <ul class="btns">
                    <li>
                        <button>
                            <i class="icon icon-mdi-prev"></i>
                        </button>
                    </li>
                    <li>
                        <button>
                            <i class="icon icon-mdi-next"></i>
                        </button>
                    </li>
                    <li>
                        <button>
                            <i class="icon icon-new-window"></i>
                        </button>
                    </li>
                    <li>
                        <button>
                            <i class="icon icon-close-mdi"></i>
                        </button>
                    </li>
                </ul>
            </div>
            <div class="section-content">
                <div class="section-top">
                    <h2 class="page-title">
                        <button class="btn-star"><i class="icon icon-star"></i></button>
                        Painpoint
                    </h2>
                    <div class="breadcrumbs-wrap">
                        <div class="breadcrumbs">
                            <a href="#">Home</a>
                            <a href="#">커뮤니티</a>
                            <span>Painpoint</span>
                        </div>
                    </div>
                </div>

                <div id="sf-cmnt-wrap">
                    <div class="sf-formtable-wrap">
                        <table class="table">
                            <colgroup>
                                <col style="width:20%" />
                                <col />
                            </colgroup>
                            <tbody>
                                <tr>
                                    <th class="required">
                                        <label>제목</label>
                                    </th>
                                    <td>
                                        <div class="form-group"> 
                                            <input type="text" placeholder="제목" class="w-100" />
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <th class="required">
                                        <label>카테고리</label>
                                    </th>
                                    <td class="text-start">
                                        <div class="custom-checkbox p-0">
                                            <input type="checkbox" id="chk01" />
                                            <label for="chk01">All</label>
                                        </div>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk02" />
                                            <label for="chk02">R&D</label>
                                        </div>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk03" />
                                            <label for="chk03">기술</label>
                                        </div>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk04" />
                                            <label for="chk04">생산</label>
                                        </div>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk05" />
                                            <label for="chk05">품질</label>
                                        </div>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk06" />
                                            <label for="chk06">영업/마케팅</label>
                                        </div>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk07" />
                                            <label for="chk07">SCM/구매</label>
                                        </div>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk08" />
                                            <label for="chk08">경영/혁신</label>
                                        </div>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk09" />
                                            <label for="chk09">인프라/안전</label>
                                        </div>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk10" />
                                            <label for="chk10">인사</label>
                                        </div>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk11" />
                                            <label for="chk11">IT/Security</label>
                                        </div>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk12" />
                                            <label for="chk12">ESG</label>
                                        </div>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk13" />
                                            <label for="chk13">NFF</label>
                                        </div>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk14" />
                                            <label for="chk14">BMS</label>
                                        </div>
                                        <div class="custom-checkbox">
                                            <input type="checkbox" id="chk15" />
                                            <label for="chk15">기타</label>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        <label>작성자</label>
                                    </th>
                                    <td class="text-start">
                                        <div class="action-chip-wrap d-inline-flex">
                                            <div id="chip1" class="action-chip">
                                                조소현
                                                <a href="#">User Info</a>
                                                <a href="#">Email 전송</a>
                                                <a href="#">SMS 전송</a>
                                            </div>
                                        </div>
                                        <div class="custom-checkbox d-inline-flex">
                                            <input type="checkbox" id="chk21" />
                                            <label for="chk21" class="secondary">익명으로 등록</label>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <th>
                                        <label>첨부파일</label>
                                    </th>
                                    <td class="text-start">
                                        <div class="drag-drop-wrap">
                                            <div id="drag-drop" class="column">
                                                <div id="zone">
                                                    <input type="text" placeholder="첨부할 파일을 선택하거나 이곳에 drag & drop 하세요." class="input-file" />
                                                </div>
                                                <div id="file-list">
                                                    <span class="files">
                                                        <i class="icon icon-file"></i>
                                                        <span class="file-name">파일이름.dll</span>
                                                        <span class="file-size">24KB</span>
                                                        <button class="btn-del">
                                                            <i class="icon ico-delete-circle"></i>
                                                        </button>
                                                    </span>
                                                    <span class="files">
                                                        <i class="icon icon-file"></i>
                                                        <span class="file-name">파일이름.dll</span>
                                                        <span class="file-size">24KB</span>
                                                        <button class="btn-del">
                                                            <i class="icon ico-delete-circle"></i>
                                                        </button>
                                                    </span>
                                                    <span class="files">
                                                        <i class="icon icon-file"></i>
                                                        <span class="file-name">파일이름 파일이름.dll</span>
                                                        <span class="file-size">24KB</span>
                                                        <button class="btn-del">
                                                            <i class="icon ico-delete-circle"></i>
                                                        </button>
                                                    </span>
                                                    <span class="files">
                                                        <i class="icon icon-file"></i>
                                                        <span class="file-name">파일이름 파일이름 파일이름.dll</span>
                                                        <span class="file-size">24KB</span>
                                                        <button class="btn-del">
                                                            <i class="icon ico-delete-circle"></i>
                                                        </button>
                                                    </span>
                                                    <span class="files">
                                                        <i class="icon icon-file"></i>
                                                        <span class="file-name">파일이름 파일이름 파일이름.dll</span>
                                                        <span class="file-size">24KB</span>
                                                        <button class="btn-del">
                                                            <i class="icon ico-delete-circle"></i>
                                                        </button>
                                                    </span>
                                                    <span class="files">
                                                        <i class="icon icon-file"></i>
                                                        <span class="file-name">파일이름 파일이름 파일이름.dll</span>
                                                        <span class="file-size">24KB</span>
                                                        <button class="btn-del">
                                                            <i class="icon ico-delete-circle"></i>
                                                        </button>
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2" class="text-start">
                                        Editor영역
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="d-flex justify-content-end mt-3">
                        <div class="sf-status">
                            <button class="sf-btn btn-outlined">
                                <span>취소</span>
                            </button>
                            <button class="sf-btn btn-primary">
                                <i class="icon icon-check"></i>
                                <span>저장</span>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- jQuery & jQuery UI -->
    <script src="../assets/js/jquery-3.6.0.js"></script>
    <script src="../assets/js/jquery-ui.js"></script>

    <!-- js -->
    <script src="../assets/js/common.js"></script>
    <script src="../assets/js/header.nav.js"></script>

    <!-- Bootstrap -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>

    <!-- Wijmo core -->
    <script src="../assets/plugin/wijmo/wijmo.min.js"></script>
    <script src="../assets/plugin/wijmo/wijmo.input.min.js"></script>
    <script src="../assets/plugin/wijmo/wijmo.nav.min.js"></script>

    <!-- Swiper JS -->
    <script src="https://cdn.jsdelivr.net/npm/swiper@9/swiper-bundle.min.js"></script>

   

    <script>
        function getData() {
            return [
                { id: 1, area: '원통형', gdpm: 57825, popk: 563, gdpcap: 102708 },
                { id: 2, area: '공통', gdpm: 664005, popk: 8238, gdpcap: 80602 },
                { id: 3, area: '원통형', gdpm: 388315, popk: 5205, gdpcap: 74604 },
                { id: 4, area: '공통', gdpm: 46178, popk: 647, gdpcap: 71372 },
                { id: 5, area: '공통', gdpm: 166908, popk: 2421, gdpcap: 68941 },
                { id: 6, area: '공통', gdpm: 283716, popk: 4635, gdpcap: 61211 },
            ];
        }

        function init() {

            //햄버거메뉴 클릭 팝업
            let popClick = new wijmo.input.Popup('#popClick', {
                owner: document.getElementById('btnClick'),
                showTrigger: 'Click',
                hideTrigger: 'Click'
            });

             //즐겨찾기(타이틀)
            const btnStar = document.querySelector('.btn-star');
            const iconStar = document.querySelector('.icon-star');

            btnStar.addEventListener('click', () => {
                iconStar.classList.toggle('on');
            });
        }
        init();

        function createChips() {
            const chips = [];
            const chipCount = 5; // Total number of chips

            function createChip(elementId) {
                const host = document.getElementById(elementId);
                const header = host.firstChild.textContent.trim();
                const items = Array.from(host.querySelectorAll('a')).map(item => item.outerHTML);

                host.innerHTML = '';

                let chipHeader;
                if (host.classList.contains('no-avatar')) {
                    chipHeader = `<span>${header}</span>`;
                } else if (host.classList.contains('with-del')) {
                    chipHeader = `<span class="round avatar grey"></span> <span class="pe-0">${header}</span> <button class="btn-del"><i class="icon ico-delete-circle"></i></button>`;
                } else {
                    chipHeader = `<span class="round avatar"></span> <span>${header}</span>`;
                }
                
                const chip = new wijmo.input.Menu(host, {
                    header: chipHeader,
                    itemsSource: items,
                });

                return chip;
            }

            for (let i = 1; i <= chipCount; i++) {
                const chipId = `chip${i}`;
                chips.push(createChip(chipId));
            }

            return chips;
        }

        const allChips = createChips();



    </script>
</body>
</html>